#!/usr/bin/python

import os
import sys
import os.path

def printHeader(str) :
   "Prints header text"
   print("===================== " + str + " =====================")
   return

if not os.path.isfile("../bitgen-ltc"):
	print("Error, application binary does not exist")
	sys.exit()




#============ Start of tests ============

retval0 = os.system("../bitgen-ltc setnextnum 36")
if retval0 != 0:
	print("test init error")
	sys.exit()



printHeader("Test 1 bitgen-ltc hex")
retval1 = os.system("../bitgen-ltc hex 8723647823647823647826378462374627364723784623784623ABC422342342")
if retval1 != 0:
	print("test 11 error")
	sys.exit()

with open("ltc_address_36_LgsZxys3_private.txt") as f:
	content1 = f.read()  
	if "T7afiGngFYSwnwE8HqAbMvqFbJgNj1YFg1CAXvvjLreoihwwfKsh" not in content1: 
		print("test 1 priv error")
		sys.exit()

	if "LgsZxys3GV6ixmLgwuxKCX5Zw7D3kSBkeB" not in content1: 
		print("test 1 pub error")
		sys.exit()

#========================


printHeader("Test 2 bitgen-ltc hex")
retval1 = os.system("../bitgen-ltc dice 1253126536125361536512635126351231231231231231231231231231231231231231231232363636631231231231236363")
if retval1 != 0:
	print("test 11 error")
	sys.exit()

with open("ltc_address_37_LRq75Hfe_private.txt") as f:
	content1 = f.read()  
	if "T5NR1LZXf2gYXPwSoMyn1ySxT5JhybrBZBPMWB4nEuFKcgMcQXUG" not in content1: 
		print("test 1 priv error")
		sys.exit()

	if "LRq75Hfe732ZbntVkrQxSpKYyWeqE1PtTT" not in content1: 
		print("test 1 pub error")
		sys.exit()




#========================


printHeader("Test 3 bitgen-ltc hex")
retval1 = os.system("../bitgen-ltc hash kjsdhfksjhfjksdhfjksdhfjksdhfjksfjkhjksdhsjfhssdjkfhsdjkfsdjkhfsjkdhfsdfuyuisdfuissdiofusfsdUIASDUFIUJKHKHKJhdfsjhfjshdfjshdjfhsjhfhJHjHjHjHjHjhjhJKHjksdfhjkshdfsdfsfsdfslkdfjslkdjfskldjfklsdfjklsdjfuiusdufsdifusiouuweuioeurio")
if retval1 != 0:
	print("test 3 error")
	sys.exit()

with open("ltc_address_38_LXkLMEyb_private.txt") as f:
	content1 = f.read()  
	if "T3JQ8cD3BCNYVprjGdiYaFzZB94GHpxhLBbsLWMrhFZugNPitTM9" not in content1: 
		print("test 1 priv error")
		sys.exit()

	if "LXkLMEybfFt4muMemWwN9gvxadHDnf7Ctc" not in content1: 
		print("test 1 pub error")
		sys.exit()



#========================


printHeader("Test 4 bitgen-ltc hex")
retval1 = os.system("../bitgen-ltc wif T3ViYgxj2qL9fjvrSS7bcuGJo3XFFMnsxv9Md7fh6KLaMMY9mBCa")
if retval1 != 0:
	print("test 4 error")
	sys.exit()

with open("ltc_address_39_LYSPq4W5_private.txt") as f:
	content1 = f.read()  
	if "T3ViYgxj2qL9fjvrSS7bcuGJo3XFFMnsxv9Md7fh6KLaMMY9mBCa" not in content1: 
		print("test 1 priv error")
		sys.exit()

	if "LYSPq4W5ifnoL5SBTmphEUFEtER9QsZS9N" not in content1: 
		print("test 1 pub error")
		sys.exit()

#========================


printHeader("Test 5 bitgen-ltc hex")
retval1 = os.system("../bitgen-ltc brainwallet my@salt.com \"fhhfhf djfhsdjfh ksjdfh ksdjfhskdjf hsdkjfh skdjfh sdkfjh sdfjkshdfksjdfh sjkdfh\"")
if retval1 != 0:
	print("test 4 error")
	sys.exit()

with open("ltc_address_40_LL89LC5x_private.txt") as f:
	content1 = f.read()  
	if "T4Sg829PDhZaziPpyrGcZhpCDFkBVikfH4yKk3QczJqjNBXCrDV5" not in content1: 
		print("test 1 priv error")
		sys.exit()

	if "LL89LC5x7Vg75n8hmVN7EVGU9EzsATo6wg" not in content1: 
		print("test 1 pub error")
		sys.exit()



print("")
print("")
print("")
print("Cleaning up")
os.system("rm *.trans *.script *.txt *.sig")

print("")
print("")
print("")
print("++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++")
print("++++++++++++++++++++++++++++++ All tests passed OK +++++++++++++++++++++++++++")
print("++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++")


sys.exit(123)
